directory-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Lothar Haeger" <lothar.hae...@brummelhook.com>
Subject Re: [Studio] Java requirements for Studio on OS X
Date Thu, 04 Aug 2016 07:53:44 GMT
Sean Brown wrote:

> What are the directory requirements for running Directory Studio on OS
> X? The download page says a Java runtime environment 7 or later, but
> when trying to run the download on OS X 10.11.6 with the latest Oracle
> JRE version 8, it complains
> 
> "To open ApacheDirectoryStudio you need to install the legacy Java SE 6
> Runtime"
> 
> I would rather not install JRE 6, does Directory Studio really require
> such an old version of Java?

Studio works fire with JRE 7 and 8 on OS-X. I'm using 8u91 currently without
problems.

The message you saw is actually a "bug" in Oracle's java distributions for OS-X
and I've seen with several Eclipse-based applications in the past. See
https://crunchify.com/os-x-mavericks-eclipse-java-issue/ on how to solve this
(over and over again for every JRE/JDK update you install).


Mime
View raw message